Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Locator_var Class Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::Locator_var:

[legend]
Collaboration diagram for ImplementationRepository::Locator_var:

[legend]
List of all members.

## Public Methods
| Locator_var (void)
| Locator_var (Locator_ptr p)
| Locator_var (const Locator_var &)
| ~Locator_var (void)
Locator_var & | operator= (Locator_ptr)
Locator_var & | operator= (const Locator_var &)
Locator_ptr | operator-> (void) const
| operator const Locator_ptr & () const
| operator Locator_ptr & ()
Locator_ptr | in (void) const
Locator_ptr & | inout (void)
Locator_ptr & | out (void)
Locator_ptr | _retn (void)
Locator_ptr | ptr (void) const
## Static Public Methods
Locator_ptr | tao_duplicate (Locator_ptr)
void | tao_release (Locator_ptr)
Locator_ptr | tao_nil (void)
Locator_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Locator_var (const TAO_Base_var &rhs)
Locator_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Locator_ptr | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::Locator_var::Locator_var | ( | void |  | ) |

ImplementationRepository::Locator_var::Locator_var | ( | Locator_ptr | p | ) | `[inline]`

ImplementationRepository::Locator_var::Locator_var | ( | const Locator_var & |  | ) |

ImplementationRepository::Locator_var::~Locator_var | ( | void |  | ) |

ImplementationRepository::Locator_var::Locator_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Locator_ptr ImplementationRepository::Locator_var::_retn | ( | void |  | ) |

Locator_ptr ImplementationRepository::Locator_var::in | ( | void |  | ) | const

Locator_ptr& ImplementationRepository::Locator_var::inout | ( | void |  | ) |

ImplementationRepository::Locator_var::operator const Locator_ptr & | ( |  | ) | const

ImplementationRepository::Locator_var::operator Locator_ptr & | ( |  | ) |

Locator_ptr ImplementationRepository::Locator_var::operator-> | ( | void |  | ) | const

Locator_var& ImplementationRepository::Locator_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Locator_var& ImplementationRepository::Locator_var::operator= | ( | const Locator_var & |  | ) |

ImplementationRepository::Locator_var & ImplementationRepository::Locator_var::operator= | ( | Locator_ptr | p | ) |

Locator_ptr& ImplementationRepository::Locator_var::out | ( | void |  | ) |

ImplementationRepository::Locator_ptr ImplementationRepository::Locator_var::ptr | ( | void |  | ) | const

Locator_ptr ImplementationRepository::Locator_var::tao_duplicate | ( | Locator_ptr |  | ) | `[static]`

Locator_ptr ImplementationRepository::Locator_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Locator_ptr ImplementationRepository::Locator_var::tao_nil | ( | void |  | ) | `[static]`

void ImplementationRepository::Locator_var::tao_release | ( | Locator_ptr |  | ) | `[static]`

CORBA::Object* ImplementationRepository::Locator_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Locator_ptr ImplementationRepository::Locator_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ImR_LocatorC.h
- ImR_LocatorC.cpp